Page 3 of 5 FirstFirst 12345 LastLast
Results 21 to 30 of 46

Thread: Could not update ICEauthority file /home/user/.ICEauthority

  1. #21
    Join Date
    Jul 2005
    Location
    37-59'34'' N/121-41'43''W
    Beans
    146
    Distro
    Ubuntu 11.10 Oneiric Ocelot

    Re: Could not update ICEauthority file /home/user/.ICEauthority

    Quote Originally Posted by Krytarik View Post
    But still no "Ubuntu" session option to choose at the login screen?
    Nope. Still no "Ubuntu" session option to choose at the login screen.
    Dell Mini 10v Triple Boot | OS X Snow Leopard 10.6.7 | Windows 7 Ultimate | Ubuntu 11.10 Oneiric Ocelot | 2 GB DDR2 RAM

    Ubuntu. Faster, smoother, more beautiful...

  2. #22
    Join Date
    Nov 2010
    Location
    Berlin, Germany
    Beans
    4,534
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: Could not update ICEauthority file /home/user/.ICEauthority

    After scouring the Ubuntu +1 (Oneiric Ocelot) sub-forum a bit, I came across this thread:

    http://ubuntuforums.org/showthread.php?t=1841354

    So, just try this:
    Code:
    sudo apt-get install --reinstall unity unity-2d
    This would install, respectively reinstall, both packages, whether they are installed or not.
    Last edited by Krytarik; September 11th, 2011 at 02:32 AM.

  3. #23
    Join Date
    Jul 2005
    Location
    37-59'34'' N/121-41'43''W
    Beans
    146
    Distro
    Ubuntu 11.10 Oneiric Ocelot

    Re: Could not update ICEauthority file /home/user/.ICEauthority

    Quote Originally Posted by Krytarik View Post
    So, just try this:

    Code:
    sudo apt-get install --reinstall unity unity-2d
    This would install, respectively reinstall, both packages, whether they are installed or not.
    O.k. I got this result:

    Code:
    mista@3bootmini:~$ sudo apt-get install --reinstall unity unity-2d
    [sudo] password for mista: 
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following extra packages will be installed:
      libdconf-dbus-1-0 libdconf-qt0 libglew1.5 libglewmx1.5 libglib2.0-bin
      libnux-1.0-0 libnux-1.0-common libqt4-opengl libqt4-svg libqtbamf1 libqtdee2
      libqtgconf1 libunity-2d-private0 libunity-core-4.0-4 libunity-misc4
      unity-2d-launcher unity-2d-panel unity-2d-places unity-2d-spread
      unity-services
    Suggested packages:
      glew-utils1.5
    The following NEW packages will be installed:
      libdconf-dbus-1-0 libdconf-qt0 libglew1.5 libglewmx1.5 libglib2.0-bin
      libnux-1.0-0 libnux-1.0-common libqt4-opengl libqt4-svg libqtbamf1 libqtdee2
      libqtgconf1 libunity-2d-private0 libunity-core-4.0-4 libunity-misc4 unity
      unity-2d unity-2d-launcher unity-2d-panel unity-2d-places unity-2d-spread
      unity-services
    0 upgraded, 22 newly installed, 0 to remove and 0 not upgraded.
    Need to get 3,835 kB of archives.
    After this operation, 14.3 MB of additional disk space will be used.
    Do you want to continue [Y/n]? 
    Get:1 http://archive.ubuntu.com/ubuntu/ oneiric/main libqt4-opengl i386 4:4.7.4-0ubuntu1 [284 kB]
    Get:2 http://archive.ubuntu.com/ubuntu/ oneiric/main libqt4-svg i386 4:4.7.4-0ubuntu1 [139 kB]
    Get:3 http://archive.ubuntu.com/ubuntu/ oneiric/main libdconf-dbus-1-0 i386 0.9.0-0ubuntu1 [16.4 kB]
    Get:4 http://archive.ubuntu.com/ubuntu/ oneiric/main libdconf-qt0 i386 0.0.0.110722-0ubuntu3 [30.3 kB]
    Get:5 http://archive.ubuntu.com/ubuntu/ oneiric/main libglew1.5 i386 1.5.7.is.1.5.2-1ubuntu4 [93.0 kB]
    Get:6 http://archive.ubuntu.com/ubuntu/ oneiric/main libglewmx1.5 i386 1.5.7.is.1.5.2-1ubuntu4 [82.3 kB]
    Get:7 http://archive.ubuntu.com/ubuntu/ oneiric/main libglib2.0-bin i386 2.29.90-0ubuntu1 [30.1 kB]
    Get:8 http://archive.ubuntu.com/ubuntu/ oneiric/main libnux-1.0-common all 1.8.0-0ubuntu1 [63.5 kB]
    Get:9 http://archive.ubuntu.com/ubuntu/ oneiric/main libnux-1.0-0 i386 1.8.0-0ubuntu1 [1,043 kB]
    Get:10 http://archive.ubuntu.com/ubuntu/ oneiric/main libqtbamf1 i386 0.2.2-0ubuntu1 [65.8 kB]
    Get:11 http://archive.ubuntu.com/ubuntu/ oneiric/main libqtdee2 i386 0.2.3-0ubuntu1 [18.4 kB]
    Get:12 http://archive.ubuntu.com/ubuntu/ oneiric/main libqtgconf1 i386 0.1-0ubuntu5 [26.7 kB]
    Get:13 http://archive.ubuntu.com/ubuntu/ oneiric/main unity-services i386 4.14.2-0ubuntu1 [27.0 kB]
    Get:14 http://archive.ubuntu.com/ubuntu/ oneiric/main libunity-core-4.0-4 i386 4.14.2-0ubuntu1 [163 kB]
    Get:15 http://archive.ubuntu.com/ubuntu/ oneiric/main libunity-2d-private0 i386 4.6.1-0ubuntu1 [406 kB]
    Get:16 http://archive.ubuntu.com/ubuntu/ oneiric/main libunity-misc4 i386 4.0.4-0ubuntu1 [26.3 kB]
    Get:17 http://archive.ubuntu.com/ubuntu/ oneiric/main unity i386 4.14.2-0ubuntu1 [860 kB]
    Get:18 http://archive.ubuntu.com/ubuntu/ oneiric/main unity-2d-launcher i386 4.6.1-0ubuntu1 [63.9 kB]
    Get:19 http://archive.ubuntu.com/ubuntu/ oneiric/main unity-2d-panel i386 4.6.1-0ubuntu1 [124 kB]
    Get:20 http://archive.ubuntu.com/ubuntu/ oneiric/main unity-2d-places i386 4.6.1-0ubuntu1 [240 kB]
    Get:21 http://archive.ubuntu.com/ubuntu/ oneiric/main unity-2d-spread i386 4.6.1-0ubuntu1 [27.0 kB]
    Get:22 http://archive.ubuntu.com/ubuntu/ oneiric/main unity-2d all 4.6.1-0ubuntu1 [4,438 B]
    Fetched 3,835 kB in 12s (295 kB/s)                                             
    Selecting previously deselected package libqt4-opengl.
    (Reading database ... 276897 files and directories currently installed.)
    Unpacking libqt4-opengl (from .../libqt4-opengl_4%3a4.7.4-0ubuntu1_i386.deb) ...
    Selecting previously deselected package libqt4-svg.
    Unpacking libqt4-svg (from .../libqt4-svg_4%3a4.7.4-0ubuntu1_i386.deb) ...
    Selecting previously deselected package libdconf-dbus-1-0.
    Unpacking libdconf-dbus-1-0 (from .../libdconf-dbus-1-0_0.9.0-0ubuntu1_i386.deb) ...
    Selecting previously deselected package libdconf-qt0.
    Unpacking libdconf-qt0 (from .../libdconf-qt0_0.0.0.110722-0ubuntu3_i386.deb) ...
    Selecting previously deselected package libglew1.5.
    Unpacking libglew1.5 (from .../libglew1.5_1.5.7.is.1.5.2-1ubuntu4_i386.deb) ...
    Selecting previously deselected package libglewmx1.5.
    Unpacking libglewmx1.5 (from .../libglewmx1.5_1.5.7.is.1.5.2-1ubuntu4_i386.deb) ...
    Selecting previously deselected package libglib2.0-bin.
    Unpacking libglib2.0-bin (from .../libglib2.0-bin_2.29.90-0ubuntu1_i386.deb) ...
    Selecting previously deselected package libnux-1.0-common.
    Unpacking libnux-1.0-common (from .../libnux-1.0-common_1.8.0-0ubuntu1_all.deb) ...
    Selecting previously deselected package libnux-1.0-0.
    Unpacking libnux-1.0-0 (from .../libnux-1.0-0_1.8.0-0ubuntu1_i386.deb) ...
    Selecting previously deselected package libqtbamf1.
    Unpacking libqtbamf1 (from .../libqtbamf1_0.2.2-0ubuntu1_i386.deb) ...
    Selecting previously deselected package libqtdee2.
    Unpacking libqtdee2 (from .../libqtdee2_0.2.3-0ubuntu1_i386.deb) ...
    Selecting previously deselected package libqtgconf1.
    Unpacking libqtgconf1 (from .../libqtgconf1_0.1-0ubuntu5_i386.deb) ...
    Selecting previously deselected package unity-services.
    Unpacking unity-services (from .../unity-services_4.14.2-0ubuntu1_i386.deb) ...
    Selecting previously deselected package libunity-core-4.0-4.
    Unpacking libunity-core-4.0-4 (from .../libunity-core-4.0-4_4.14.2-0ubuntu1_i386.deb) ...
    Selecting previously deselected package libunity-2d-private0.
    Unpacking libunity-2d-private0 (from .../libunity-2d-private0_4.6.1-0ubuntu1_i386.deb) ...
    Selecting previously deselected package libunity-misc4.
    Unpacking libunity-misc4 (from .../libunity-misc4_4.0.4-0ubuntu1_i386.deb) ...
    Selecting previously deselected package unity.
    Unpacking unity (from .../unity_4.14.2-0ubuntu1_i386.deb) ...
    Selecting previously deselected package unity-2d-launcher.
    Unpacking unity-2d-launcher (from .../unity-2d-launcher_4.6.1-0ubuntu1_i386.deb) ...
    Selecting previously deselected package unity-2d-panel.
    Unpacking unity-2d-panel (from .../unity-2d-panel_4.6.1-0ubuntu1_i386.deb) ...
    Selecting previously deselected package unity-2d-places.
    Unpacking unity-2d-places (from .../unity-2d-places_4.6.1-0ubuntu1_i386.deb) ...
    Selecting previously deselected package unity-2d-spread.
    Unpacking unity-2d-spread (from .../unity-2d-spread_4.6.1-0ubuntu1_i386.deb) ...
    Selecting previously deselected package unity-2d.
    Unpacking unity-2d (from .../unity-2d_4.6.1-0ubuntu1_all.deb) ...
    Processing triggers for man-db ...
    Processing triggers for bamfdaemon ...
    Rebuilding /usr/share/applications/bamf.index...
    Processing triggers for gnome-menus ...
    Processing triggers for desktop-file-utils ...
    Processing triggers for gconf2 ...
    Processing triggers for libglib2.0-0 ...
    Setting up libqt4-opengl (4:4.7.4-0ubuntu1) ...
    Setting up libqt4-svg (4:4.7.4-0ubuntu1) ...
    Setting up libdconf-dbus-1-0 (0.9.0-0ubuntu1) ...
    Setting up libdconf-qt0 (0.0.0.110722-0ubuntu3) ...
    Setting up libglew1.5 (1.5.7.is.1.5.2-1ubuntu4) ...
    Setting up libglewmx1.5 (1.5.7.is.1.5.2-1ubuntu4) ...
    Setting up libglib2.0-bin (2.29.90-0ubuntu1) ...
    Setting up libnux-1.0-common (1.8.0-0ubuntu1) ...
    Setting up libnux-1.0-0 (1.8.0-0ubuntu1) ...
    Setting up libqtbamf1 (0.2.2-0ubuntu1) ...
    Setting up libqtdee2 (0.2.3-0ubuntu1) ...
    Setting up libqtgconf1 (0.1-0ubuntu5) ...
    Setting up unity-services (4.14.2-0ubuntu1) ...
    Setting up libunity-core-4.0-4 (4.14.2-0ubuntu1) ...
    Setting up libunity-2d-private0 (4.6.1-0ubuntu1) ...
    Setting up libunity-misc4 (4.0.4-0ubuntu1) ...
    Setting up unity (4.14.2-0ubuntu1) ...
    Setting up unity-2d-launcher (4.6.1-0ubuntu1) ...
    Setting up unity-2d-panel (4.6.1-0ubuntu1) ...
    Setting up unity-2d-places (4.6.1-0ubuntu1) ...
    Setting up unity-2d-spread (4.6.1-0ubuntu1) ...
    Setting up unity-2d (4.6.1-0ubuntu1) ...
    Processing triggers for libc-bin ...
    ldconfig deferred processing now taking place
    Error org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 127
    mista@3bootmini:~$
    Rebooting now...
    Last edited by uRock; February 8th, 2012 at 05:08 AM. Reason: code tags
    Dell Mini 10v Triple Boot | OS X Snow Leopard 10.6.7 | Windows 7 Ultimate | Ubuntu 11.10 Oneiric Ocelot | 2 GB DDR2 RAM

    Ubuntu. Faster, smoother, more beautiful...

  4. #24
    Join Date
    Jul 2005
    Location
    37-59'34'' N/121-41'43''W
    Beans
    146
    Distro
    Ubuntu 11.10 Oneiric Ocelot

    Re: Could not update ICEauthority file /home/user/.ICEauthority

    @Krytarik. We have success. Re-installing unity and unity-2d put the 2 login sessions back in the drop down menu. I can now login to both unity and unity 2d. Thanks for all your help. I learned a lot too! Ubuntuforums.org . The worlds best linux forums
    Dell Mini 10v Triple Boot | OS X Snow Leopard 10.6.7 | Windows 7 Ultimate | Ubuntu 11.10 Oneiric Ocelot | 2 GB DDR2 RAM

    Ubuntu. Faster, smoother, more beautiful...

  5. #25
    Join Date
    Nov 2010
    Location
    Berlin, Germany
    Beans
    4,534
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: Could not update ICEauthority file /home/user/.ICEauthority

    Yay, happy, too, that it's fine now!

  6. #26
    Join Date
    Nov 2010
    Location
    Berlin, Germany
    Beans
    4,534
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: Could not update ICEauthority file /home/user/.ICEauthority

    Coming across this again, the meta-package "ubuntu-desktop" most probably also needs to be reinstalled, which might trigger the reinstallation of other packages, as before with the Unity packages:
    Code:
    sudo apt-get install --reinstall ubuntu-desktop
    We should have done this instead of taking care of the lower-ranking Unity packages, as they are dependencies of "ubuntu-desktop", and would be reinstalled if they are missing.

    Greetings.

  7. #27
    Join Date
    Jun 2011
    Location
    Belgium
    Beans
    73
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Could not update ICEauthority file /home/user/.ICEauthority

    I have the same ICEauthority error message at login. But I do have the ubuntu desktop. I see that haddog had lost his desktop. So probably another solution is needed for me.

    When I try to change my password: the user settings window crashes.

    Probably this causes/is related with my sound problem: I have lost the volume control (when opening sound system: it says "waiting for the sound system to respond") but I have sound but the microphone is not working.

    I have done:
    sudo chown USERNAME:USERNAME .ICEauthority
    as suggested but no result

    Gnome session was already installed:
    Code:
    sudo apt-get install gnome-session
    [sudo] password for user: 
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    gnome-session is already the newest version.
    The following packages were automatically installed and are no longer required:
      linux-headers-2.6.32-28
    Use 'apt-get autoremove' to remove them.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.


    unity package was not installed:
    Code:
     sudo apt-get install --reinstall unity unity-2d
    [sudo] password for user: 
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    E: Couldn't find package unity
    Last edited by harun3d; September 17th, 2011 at 04:42 PM.

  8. #28
    Join Date
    Jun 2011
    Location
    Belgium
    Beans
    73
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Could not update ICEauthority file /home/user/.ICEauthority

    SOLVED: I did this:

    booting in recovery mode (important: doing this after logging had no sense) > root prompt >

    One of the followings did the trick

    Code:
    sudo chown user -R /home/user
    Code:
    sudo chown hc:hc /home/user/.ICEauthority
    sudo chmod 644 /home/user/.ICEauthority
    exit
    sudo reboot
    sudo reboot is also important because you can not exit from the command mode in another way. Ctrl Alt Del is possible but I think it erases your actions because I used these codes (chown and chmod) many times but had no effect. It should be thus recovery mode and with a healthy exit from the command mode.

    This solved also my sound problem as I had thought. The microphone and the sound system work now without any supplementary action.
    Last edited by harun3d; September 17th, 2011 at 07:14 PM.

  9. #29
    Join Date
    Jan 2011
    Beans
    55
    Distro
    Ubuntu 12.04 Precise Pangolin

    Lightbulb Re: Could not update ICEauthority file /home/user/.ICEauthority-Simple solution

    SOLVED

    Simple solution;

    1) Open your home folder
    2) Open your user folder (usually your name)
    3)Cnt-H, show hidden files, look for a FILE called ICEauthority, Not a folder.
    4) If its been set to no read no write, right click upon the file, set its properties to read and write.
    5) Shut down system, and re-boot.

    It worked for me, no more messages, I'd last accessed that file on 23/July/2011, changed it on 23/Sept/2011, only took me 2 months to figure that out, the other solutions never worked. (and it would seem, never would have)
    Last edited by IPEX-731BA5DD06; September 23rd, 2011 at 01:39 PM. Reason: I like Smilies

  10. #30
    Join Date
    Apr 2006
    Location
    UK
    Beans
    11
    Distro
    Kubuntu 8.04 Hardy Heron

    Re: Could not update ICEauthority file /home/user/.ICEauthority-Simple solution

    A) Solution for me was to simply change permission on the (hidden) file called .ICEauthority from root to me - it was already set to read and write.

    B) My problem started after I installed and then uninstalled ClamAV and Klam. Not sure if this had anything to do with it or not?

Page 3 of 5 FirstFirst 12345 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •